#+xcvb (module (:depends-on ("specials")))

(in-package :xcvb-hello)

(defparameter *xcvb-version-path*
  (or #+xcvb-driver (xcvb-driver:pathname-mapping "/xcvb/version")
      #+asdf2 (asdf:system-relative-pathname :xcvb "version.lisp")))

(defparameter *hello-version-path*
  (or #+xcvb-driver (xcvb-driver:pathname-mapping "/xcvb/hello/version")
      #+asdf2 (asdf:system-relative-pathname :xcvb "hello/version.lisp")))

(eval-when (:compile-toplevel :load-toplevel :execute)
  (unless (find-package :xcvb)
    (make-package :xcvb :use '(:cl))))

(load *xcvb-version-path*)
(with-open-file (s *hello-version-path* :direction :output
                   :if-exists :rename-and-delete :if-does-not-exist :create)
  (format s ";;; automatically generated by /xcvb/hello/generate-version~%~
             (in-package :xcvb-hello)~%(setf *version* ~S)~%"
          (symbol-value (find-symbol (string :*xcvb-version*) :xcvb))))
